package cn.iocoder.yudao.module.system.enums.robot.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * RobotAcceptTaskDTO的execution_type
 */
@Getter
@AllArgsConstructor
public enum RobotTaksExecutionTypeEnum {

    PAUSE("PAUSE"), //停止
    CONTINUE("CONTINUE"), //继续
    DEFAULT("DEFAULT"), //执行
    CANCEL("CANCEL"); //取消
    /**
     * 类型
     */
    private final String type;

}
